# GH-4009-allow\_contract\_call\_by\_name

* Allow contracts to be called by name. The key `contract_pubkey` of the name\
  is resolved while running the transaction. This has consequences for the\
  contract call structure (`aect_call`) that gets a new field with the contract\
  call identifier. In order to be able to find the call result without doing\
  name resolution calls are stored relative to the id rather than the contract\
  pubkey.

  NOTE: Names can change at any time (frontrunning is possible!) so only call\
  contracts by name when you trust the owner of the name!


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.aeternity.com/developer-documentation/aeternity/docs/release-notes/next-ceres/gh-4009-allow_contract_call_by_name.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
